Sorceleur/Controllers/MonstresController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using Sorceleur.Models;

namespace Sorceleur.Controllers
{
    public class MonstresController : Controller
    {
        private readonly MonContext _context;

        public MonstresController(MonContext context)
        {
            _context = context;
        }

        // GET: Monstres
        public async Task<IActionResult> Index()
        {
            Bags();

            return View(await _context.Monstres.AsNoTracking().ToListAsync());
        }

        // GET: Monstres/Details/5
        public async Task<IActionResult> Details(int? id)
        {
            Bags();
            if (id == null)
            {
                return NotFound();
            }

            var monstre = await _context.Monstres
                .FirstOrDefaultAsync(m => m.Id == id);
            if (monstre == null)
            {
                return NotFound();
            }

            return View(monstre);
        }

        // GET: Monstres/Create
        public IActionResult Create()
        {
            Bags();
            return View();
        }

        // POST: Monstres/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,nom,poids,raceMonstre")] Monstre monstre)
        {
            Bags();
            if (ModelState.IsValid)
            {
                _context.Add(monstre);
                await _context.SaveChangesAsync();
                return RedirectToAction(nameof(Index));
            }
            return View(monstre);
        }

        // GET: Monstres/Edit/5
        public async Task<IActionResult> Edit(int? id)
        {
            Bags();
            if (id == null)
            {
                return NotFound();
            }

            var monstre = await _context.Monstres.FindAsync(id);
            if (monstre == null)
            {
                return NotFound();
            }
            return View(monstre);
        }

        // POST: Monstres/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public IActionResult Edit(int id, [Bind("Id,nom,poids,raceMonstre")] Monstre monstre)
        {
            Bags();
            if (id != monstre.Id)
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    /////////////////////////////////////////
                    var local = _context.Set<Monstre>()
                        .Local
                        .FirstOrDefault(entry => entry.Id.Equals(id));

                    // check if local is not null 
                    if (local != null)
                    {
                        // detach
                        _context.Entry(local).State = EntityState.Detached;
                    }
                    // set Modified flag in your entry
                    _context.Entry(monstre).State = EntityState.Modified;

                    // save 
                    _context.SaveChanges();
                    /*
                     * 
                     * 
                     *  _context.Update(monstre);
                        await _context.SaveChangesAsync();
                     *
                     * 
                     * */
                    //SRC // https://stackoverflow.com/questions/36856073/the-instance-of-entity-type-cannot-be-tracked-because-another-instance-of-this-t
                    //SRC // https://entityframeworkcore.com/knowledge-base/48117961/the-instance-of-entity-type-----cannot-be-tracked-because-another-instance-of-this-type-with-the-same-key-is-already-being-tracked
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!MonstreExists(monstre.Id))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction(nameof(Index));
            }
            return View(monstre);
        }

        // GET: Monstres/Delete/5
        public async Task<IActionResult> Delete(int? id)
        {
            Bags();
            if (id == null)
            {
                return NotFound();
            }

            var monstre = await _context.Monstres
                .FirstOrDefaultAsync(m => m.Id == id);
            if (monstre == null)
            {
                return NotFound();
            }

            return View(monstre);
        }

        // POST: Monstres/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            Bags();
            var monstre = await _context.Monstres.FindAsync(id);
            _context.Monstres.Remove(monstre);
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        private bool MonstreExists(int id)
        {
            Bags();
            return _context.Monstres.Any(e => e.Id == id);
        }
        public void Bags()
        {
            string A = _context.Sorceleuzs.ToList().Count().ToString();
            ViewBag.A = A;
            string B = _context.Quetes.ToList().Count().ToString();
            ViewBag.B = B;
            string C = _context.Monstres.ToList().Count().ToString();
            ViewBag.C = C;
            string D = _context.Quetes.Sum(s => s.recompense).ToString();
            ViewBag.D = D;
        }
    }
}

Sorceleur/Controllers/QuetesController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using Sorceleur.Models;

namespace Sorceleur.Controllers
{
    public class QuetesController : Controller
    {
        private readonly MonContext _context;

        public QuetesController(MonContext context)
        {
            _context = context;
        }

        // GET: Quetes
        public async Task<IActionResult> Index()
        {
            Bags();
            var monContext = _context.Quetes.Include(q => q.sorceleur);
            return View(await monContext.AsNoTracking().ToListAsync());
        }

        // GET: Quetes/Details/5
        public async Task<IActionResult> Details(int? id)
        {
            Bags();
            if (id == null)
            {
                return NotFound();
            }

            var quete = await _context.Quetes
                .Include(q => q.sorceleur)
                .FirstOrDefaultAsync(m => m.Id == id);
            if (quete == null)
            {
                return NotFound();
            }

            return View(quete);
        }

        // GET: Quetes/Create
        public IActionResult Create()
        {
            Bags();
            ViewData["SorceleurId"] = new SelectList(_context.Sorceleuzs, "Id", "nom");
            return View();
        }

        // POST: Quetes/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,recompense,dificultee,endroit,SorceleurId")] Quete quete)
        {
            Bags();
            if (ModelState.IsValid)
            {
                _context.Add(quete);
                await _context.SaveChangesAsync();
                return RedirectToAction(nameof(Index));
            }
            ViewData["SorceleurId"] = new SelectList(_context.Sorceleuzs, "Id", "nom", quete.SorceleurId);
            return View(quete);
        }

        // GET: Quetes/Edit/5
        public async Task<IActionResult> Edit(int? id)
        {
            Bags();
            if (id == null)
            {
                return NotFound();
            }

            var quete = await _context.Quetes.FindAsync(id);
            if (quete == null)
            {
                return NotFound();
            }
            ViewData["SorceleurId"] = new SelectList(_context.Sorceleuzs, "Id", "nom", quete.SorceleurId);
            return View(quete);
        }

        // POST: Quetes/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, [Bind("Id,recompense,dificultee,endroit,SorceleurId")] Quete quete)
        {
            Bags();
            if (id != quete.Id)
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    /////////////////////////////////////////
                    var local = _context.Set<Quete>()
                        .Local
                        .FirstOrDefault(entry => entry.Id.Equals(id));

                    // check if local is not null  
                    if (local != null)
                    {
                        // detach
                        _context.Entry(local).State = EntityState.Detached;
                    }
                    // set Modified flag in your entry
                    _context.Entry(quete).State = EntityState.Modified;

                    // save 
                    _context.SaveChanges();
                    /*
                     * 
                     * 
                     *  _context.Update(quete);
                     await _context.SaveChangesAsync();
                     *
                     * 
                     * */
                    //SRC // https://stackoverflow.com/questions/36856073/the-instance-of-entity-type-cannot-be-tracked-because-another-instance-of-this-t
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!QueteExists(quete.Id))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction(nameof(Index));
            }
            ViewData["SorceleurId"] = new SelectList(_context.Sorceleuzs, "Id", "nom", quete.SorceleurId);
            return View(quete);
        }

        // GET: Quetes/Delete/5
        public async Task<IActionResult> Delete(int? id)
        {
            Bags();
            if (id == null)
            {
                return NotFound();
            }

            var quete = await _context.Quetes
                .Include(q => q.sorceleur)
                .FirstOrDefaultAsync(m => m.Id == id);
            if (quete == null)
            {
                return NotFound();
            }

            return View(quete);
        }

        // POST: Quetes/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            Bags();
            var quete = await _context.Quetes.FindAsync(id);
            _context.Quetes.Remove(quete);
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        private bool QueteExists(int id)
        {
            Bags();
            return _context.Quetes.AsNoTracking().Any(e => e.Id == id);
        }
        public void Bags()
        {
            string A = _context.Sorceleuzs.ToList().Count().ToString();
            ViewBag.A = A;
            string B = _context.Quetes.ToList().Count().ToString();
            ViewBag.B = B;
            string C = _context.Monstres.ToList().Count().ToString();
            ViewBag.C = C;
            string D = _context.Quetes.Sum(s => s.recompense).ToString();
            ViewBag.D = D;
        }
    }
}

Sorceleur/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>@ViewData["Title"] - Sorceleur</title>
    <meta content="" name="descriptison">
    <meta content="" name="keywords">

    <!-- Favicons -->
    <link href="~/assets/img/favicon.png" rel="icon">
    <link href="~/assets/img/apple-touch-icon.png" rel="apple-touch-icon">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

    <!-- Vendor CSS Files -->
    <link href="~/assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="~/assets/vendor/icofont/icofont.min.css" rel="stylesheet">
    <link href="~/assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
    <link href="~/assets/vendor/venobox/venobox.css" rel="stylesheet">
    <link href="~/assets/vendor/owl.carousel/assets/owl.carousel.min.css" rel="stylesheet">
    <link href="~/assets/vendor/aos/aos.css" rel="stylesheet">

    <!-- Template Main CSS File -->
    <link href="~/assets/css/style.css" rel="stylesheet">

</head>

<body>

    <!-- ======= Header ======= -->
    <header id="header" class="fixed-top">
        <div class="container d-flex">
            <nav class="nav-menu d-none d-md-block" style="margin-left:auto;margin-right:auto">
                <ul>
                    <li class="active"><a asp-action="index" asp-controller="home">Home</a></li>
                    <li class="drop-down">
                        <a>Sorceleurs</a>
                        <ul>
                            <li><a asp-action="Create" asp-controller="Sorceleuzs">Create</a></li>
                            <li><a asp-action="index" asp-controller="Sorceleuzs">Index</a></li>
                        </ul>
                    </li>
                    <li class="drop-down">
                        <a>Quetes</a>
                        <ul>
                            <li><a asp-action="Create" asp-controller="Quetes">Create</a></li>
                            <li><a asp-action="index" asp-controller="Quetes">Index</a></li>
                        </ul>
                    </li>

                    <li class="drop-down">
                        <a>Monstres</a>
                        <ul>
                            <li><a asp-action="Create" asp-controller="Monstres">Create</a></li>
                            <li><a asp-action="index" asp-controller="Monstres">Index</a></li>
                        </ul>
                    </li>

                </ul>
            </nav><!-- .nav-menu -->

        </div>
    </header><!-- End Header -->
    <!-- ======= Hero Section ======= -->
    <section id="hero">



        @RenderBody()



    </section><!-- End Hero -->

    <main id="main">
        <!-- ======= Counts Section ======= -->
        <section id="counts" class="counts  section-bg">
            <div class="container">

                <div class="row no-gutters">

                    <div class="col-lg-3 col-md-6 d-md-flex align-items-md-stretch">
                        <div class="count-box">
                            <i class="icofont-funky-man"></i>
                            <span data-toggle="counter-up">@ViewBag.A </span>
                            <p>
                                <strong>Sorceleurs</strong> vérifiées
                            </p>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 d-md-flex align-items-md-stretch">
                        <div class="count-box">
                            <i class="icofont-list"></i>
                            <span data-toggle="counter-up">@ViewBag.B </span>
                            <p><strong>Quêtes</strong> achevées</p>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 d-md-flex align-items-md-stretch">
                        <div class="count-box">
                            <i class="icofont-paw"></i>
                            <span data-toggle="counter-up">@ViewBag.C </span>
                            <p><strong>Bestiéres</strong> archivées</p>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 d-md-flex align-items-md-stretch">
                        <div class="count-box">
                            <i class="icofont-money"></i>
                            <span data-toggle="counter-up">@ViewBag.D </span>
                            <p><strong>Récompenses</strong> Cumulées</p>
                        </div>
                    </div>
                </div>
            </div>
        </section><!-- End Counts Section -->
    </main><!-- End #main -->
    <!-- ======= Footer ======= -->
    <footer id="footer">
        <div class="container">
            <div class="credits">
                &copy; Copyright <strong><span>Pepega</span></strong>. All Rights Reserved
                Go to <a href="https://google.com">Google Page</a>
            </div>
        </div>
    </footer><!-- End Footer -->

    <a href="#" class="back-to-top"><i class="icofont-simple-up"></i></a>

    <!-- Vendor JS Files -->
    <script src="~/assets/vendor/jquery/jquery.min.js"></script>
    <script src="~/assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="~/assets/vendor/jquery.easing/jquery.easing.min.js"></script>
    <script src="~/assets/vendor/php-email-form/validate.js"></script>
    <script src="~/assets/vendor/waypoints/jquery.waypoints.min.js"></script>
    <script src="~/assets/vendor/counterup/counterup.min.js"></script>
    <script src="~/assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
    <script src="~/assets/vendor/venobox/venobox.min.js"></script>
    <script src="~/assets/vendor/owl.carousel/owl.carousel.min.js"></script>
    <script src="~/assets/vendor/aos/aos.js"></script>

    <!-- Template Main JS File -->
    <script src="~/assets/js/main.js"></script>
    @RenderSection("Scripts", required: false)

</body>

</html>